poll_mouse(3)

NAME
poll_mouse - Polls the mouse. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int poll_mouse();

DESCRIPTION
Wherever possible, Allegro will read the mouse input asynchronously (ie. from inside an interrupt handler), but on some platforms that may not be possible, in which case you must call this routine at regular intervals to update the mouse state variables. To help you test your mouse polling code even if you are programming on a platform that doesn't require it, after the first time that you call this function Allegro will switch into polling mode, so from that point onwards you will have to call this routine in order to get any mouse input at all, regardless of whether the current driver actually needs to be polled or not.

RETURN VALUE
Returns zero on success, or a negative number on failure (ie. no mouse driver installed).

SEE ALSO
mouse_needs_poll(3), install_mouse(3), mouse_x(3), exlights(3), exmouse(3), exshade(3), exspline(3), extrans(3)